org.wildfly.swarm.config.security

## Enum SecurityDomain.CacheType

- java.lang.Object
- - java.lang.Enum<SecurityDomain.CacheType>
  - - org.wildfly.swarm.config.security.SecurityDomain.CacheType

- All Implemented Interfaces:
    Serializable, Comparable<SecurityDomain.CacheType>
  Enclosing class:
    SecurityDomain<T extends SecurityDomain<T>>

      public static enum SecurityDomain.CacheType
      extends Enum<SecurityDomain.CacheType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT`
    `INFINISPAN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static SecurityDomain.CacheType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SecurityDomain.CacheType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final SecurityDomain.CacheType DEFAULT

    - #### INFINISPAN

          public static final SecurityDomain.CacheType INFINISPAN

  - ### Method Detail

    - #### values

          public static SecurityDomain.CacheType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SecurityDomain.CacheType c : SecurityDomain.CacheType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SecurityDomain.CacheType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<SecurityDomain.CacheType>`

Copyright © 2018 JBoss by Red Hat. All rights reserved.